Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenStandardPreferencePage

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenPreferencePage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenStandardPreferencePageImpl

    public interface GenStandardPreferencePage

extends GenPreferencePage

A representation of the model object 'Gen Standard Preference Page'.

The following features are supported:

- `Kind`

See Also:
  `GMFGenPackage.getGenStandardPreferencePage()`
** Generated **
Model:

Method Summary
`StandardPreferencePages` `getKind()` Returns the value of the 'Kind' attribute.
`void` `setKind(StandardPreferencePages value)` Sets the value of the '`Kind`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenPreferencePage
`getChildren, getDiagram, getID, getName, getParent, setID, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKind

    StandardPreferencePages getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `StandardPreferencePages`.

  If the meaning of the 'Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `StandardPreferencePages`, `setKind(StandardPreferencePages)`, `GMFGenPackage.getGenStandardPreferencePage_Kind()`
  ** Generated **
  Model:
    required="true"

### setKind

    void setKind(StandardPreferencePages value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `StandardPreferencePages`, `getKind()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.